.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}


.modal {
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 999;
  display: flex;
  opacity: 0;
  pointer-events: none;
  justify-content: center;
  align-items: center;
  transition: all 1s;
}

.modal[data-show=true] {
  display: flex;
  opacity: 1;
  pointer-events: all;
}

.modal-content {
  background-color: #ffffff;
  padding: 50px 30px;
  border-radius: 10px;
}

.nav {
  width: 100%;
  background: #1C6789;
  padding: 5px;
  display: block;

  button {
    border: none;
    background: transparent;
    color: #ffffff;
    text-decoration: underline;
  }

  a.active {
    font-weight: bold;
    color: #ffffff;
  }
}